<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SmsLog.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.model</a> &gt; <span class="el_source">SmsLog.java</span></div><h1>SmsLog.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name=&quot;sms_log&quot;)
<span class="fc" id="L15">public class SmsLog implements Serializable {</span>
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name=&quot;sms_log_id&quot;,columnDefinition = &quot;serial&quot; )
	private Long smsLogId;
	
	@Column(name=&quot;sent_date&quot;)
	private Date date;
	
	@Column(name=&quot;phone_number&quot;)
	private String phoneNumber;
	
	@Column(name=&quot;message&quot;)
	private String message;
	
	@Column(name=&quot;response&quot;)
	private String response;

	public Long getSmsLogId() {
<span class="nc" id="L36">		return smsLogId;</span>
	}

	public void setSmsLogId(Long smsLogId) {
<span class="nc" id="L40">		this.smsLogId = smsLogId;</span>
<span class="nc" id="L41">	}</span>

	public Date getDate() {
<span class="nc" id="L44">		return date;</span>
	}

	public void setDate(Date date) {
<span class="nc" id="L48">		this.date = date;</span>
<span class="nc" id="L49">	}</span>

	public String getPhoneNumber() {
<span class="nc" id="L52">		return phoneNumber;</span>
	}

	public void setPhoneNumber(String phoneNumber) {
<span class="nc" id="L56">		this.phoneNumber = phoneNumber;</span>
<span class="nc" id="L57">	}</span>

	public String getMessage() {
<span class="nc" id="L60">		return message;</span>
	}

	public void setMessage(String message) {
<span class="nc" id="L64">		this.message = message;</span>
<span class="nc" id="L65">	}</span>

	public String getResponse() {
<span class="nc" id="L68">		return response;</span>
	}

	public void setResponse(String response) {
<span class="nc" id="L72">		this.response = response;</span>
<span class="nc" id="L73">	}</span>
    
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>